Skip to main content
POST
Submit the request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Atomic swap id (ULID).

Body

application/json

POST /v2/swap/atomic/{id}/request.

request
object
required

rgb-lib's OnchainSwapRequest, from accept_swap_offer.

Response

Unsigned proposal (the same one on a retry).

id
string
required
proposal
object
required

rgb-lib's OnchainSwapProposal: the unsigned PSBT, for the taker's complete_swap_proposal.

status
string
required